Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I need to install Mediawiki with PostgreSQl as database backend on an 10.04 server.

I would prefer to install Mediawiki via apt-get/aptitude but I don't know how to configure the installation not to install the unneeded MySQL.

Is it possible to change the dependencies from MySQl to PostgreSQL and if yes how can I do it?

share|improve this question
add comment

1 Answer

up vote 1 down vote accepted

You can do:

apt-get --ignore-depends install <pkg>

This will ignore all dependencies the only problem is that MySQL may not be the only one. So to avoid that I would suggest:

apt-get -d install <pkg>

Then once all the packages are downloaded. Install each one individually doing:

dpkg --ignore-depends <individual package>

Personally I think installing MySQL and then simply reconfigure MediaWiki to use PostgreSQL if it is possible might be a better solution.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.